﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Syncfusion.UI.Xaml.Charts;

namespace PieSeries
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        private SfChart chart;
        private Syncfusion.UI.Xaml.Charts.PieSeries series;
        public ObservableCollection<Brush> ColorsValue { get; set; }
        public ObservableCollection<Point> Data { get; set; }
        public MainWindow()
        {
            InitializeComponent();
            CreateSeries();
        }


        private void CreateSeries()
        {
            chart = new SfChart();
            series = new Syncfusion.UI.Xaml.Charts.PieSeries();
            Data = new ObservableCollection<Point>();
            Data.Add(new Point() { X = 1, Y = 2577 });
            Data.Add(new Point() { X = 2, Y = 973 });
            Data.Add(new Point() { X = 3, Y = 420 });

            grid.Children.Add(chart);


            ColorsValue = new ObservableCollection<Brush>();
            ColorsValue.Add(new SolidColorBrush(Colors.DeepSkyBlue));
            ColorsValue.Add(new SolidColorBrush(Colors.DeepPink));
            ColorsValue.Add(new SolidColorBrush(Colors.DarkViolet));


            series.ItemsSource = Data;
            series.XBindingPath = "X";
            series.YBindingPath = "Y";
            series.ShowTooltip = true;

            series.Palette = ChartColorPalette.Custom;
            ChartColorModel chartColor = new ChartColorModel();
            chartColor.CustomBrushes = ColorsValue.ToList();
            series.ColorModel = chartColor;


            series.AdornmentsInfo = new ChartAdornmentInfo() { ShowLabel = true, Symbol = ChartSymbol.Square, SymbolWidth = 28, SymbolHeight = 25, SymbolInterior = new SolidColorBrush(Colors.White), SymbolStroke = new SolidColorBrush(Colors.White) };
            chart.Legend = new ChartLegend() { };
            chart.Series.Add(series);
        }
    }

}
